Bug 247162 - When hovering mouse over date & time in panel a small window appears, that does not vanish anymore
Summary: When hovering mouse over date & time in panel a small window appears, that do...
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: panel (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-09 19:17 UTC by spamfang1199
Modified: 2011-12-06 21:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
this is the short info window, that wont vanish (113.72 KB, image/png)
2010-08-09 19:17 UTC, spamfang1199
Details
my panelsettings (141.11 KB, image/png)
2010-08-09 19:20 UTC, spamfang1199
Details

Note You need to log in before you can comment on or make changes to this bug.
Description spamfang1199 2010-08-09 19:17:01 UTC
Created attachment 49951 [details]
this is the short info window, that wont vanish

Version:           unspecified (using KDE 4.4.5) 
OS:                Linux

When hovering mouse over date & time in panel a small window appears, that does not vanish anymore. I have to move the mouse again to an item in the panel (no matter which), until the short info is showed. Then the date & time window gets 

Reproducible: Sometimes

Steps to Reproduce:
Steps to reproduce:

1. Move the mouse over date & time in the panel
2. Let it rest there until a small window appears showing date & time
3. As soon as it appears, move the mouse away

The window will stay there (see the screenshot i added).

But you have to try a couple of times to see this bug appear. I tried to count the seconds, but it was not possible for me to tell the exact time needed for it. I think it is the moment when the window tries to appear, and while it does, I already move the mouse away, so it gets stuck. It seems to work best, when you do need less than a single second to let the window appear, and then move the mouse away. But this bug only appears, when hovering the mouse over date & time, and seems not to occur, when hovering over other panel-items.

My settings for date and time show also the seconds. My settings to panel allow other windows to overlap it. See screenshot for my settings. 

Actual Results:  
The short info stayed forever, until I hovered the mouse over another item.

Expected Results:  
The short info should vanish after a while.

My widget style is slim glow. My panel allows other windows to overlap it and comes to front when moving the mouse to the bottom.
Comment 1 spamfang1199 2010-08-09 19:20:07 UTC
Created attachment 49952 [details]
my panelsettings
Comment 2 Aaron J. Seigo 2011-12-06 21:43:47 UTC
Git commit c49e72626dbb4a1d744b0e7322ba2850d5a32b96 by Aaron Seigo.
Committed on 06/12/2011 at 22:42.
Pushed by aseigo into branch 'KDE/4.7'.

don't read in plasmarc EVERY time a tooltip is shown, and be careful to stop the show timer always

there are still some issues with QGraphicsView not sending hover events in all cases, but this is
as good as it gets if we ignore those bugs in Qt.

BUG:247162

M  +23   -20   plasma/tooltipmanager.cpp

http://commits.kde.org/kdelibs/c49e72626dbb4a1d744b0e7322ba2850d5a32b96